Summary:	A complete user-space boot splash system
Name:		splashy
Version:	0.1.8
Release:	%mkrel 2
License:	GPL
Group:		Development/Libraries
URL:		http://alioth.debian.org/download.php/1358/splashy_%{version}.tar.gz
Source:		%{name}-%{version}.tar.bz2
BuildRequires:	libdirectfb0.9-devel
BuildRequires:	glib2-devel
BuildRequires:	libmagic-static-devel
BuildRequires:	procps-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	freetype2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
A boot splash program that doesn't require patching the Linux kernel. It paints
graphic images directly to framebuffers using libdirectfb.

%prep

%setup -q

find . -type f | xargs perl -pi -e "s|/usr/lib/|%{_libdir}/|g"
find . -type f | xargs perl -pi -e "s|/lib/|/%{_lib}/|g"

%build

./autogen.sh --prefix=/

%make

%install
rm -rf %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"

%makeinstall

install -d %{buildroot}%{_initrddir}
mv %{buildroot}%{_sysconfdir}/init.d/* %{buildroot}%{_initrddir}/
mv %{buildroot}%{_sbindir} %{buildroot}/sbin

%post
# Set the default theme for mille-xterm
/sbin/splashy_config --set-theme mxterm

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%attr(0755,root,root) %{_initrddir}/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/default/*
%dir %{_sysconfdir}/splashy
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/splashy/*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/splashy/themes/*/*
/sbin/*
%dir %{_datadir}/splashy
%{_datadir}/splashy/*
%{_mandir}/man?/*


%changelog
* Sun Feb 25 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.8-2mdv2007.0
+ Revision: 125545
- fix build
- fix deps
- fix build and deps
- lib64 fixes
- Import splashy



* Thu Sep 28 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.8-1mdk
- initial Mandriva package (mille-xterm import)
